Skip to main content
GET
Python (requests)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string

Set to Bearer <token> to pass token for authorization.

Query Parameters

q
string | null

Free-text query. Supports boolean operators (AND, OR, NOT) and phrase matching.

f
string | null

Space-delimited filters in field:"value" format. Values must be double-quoted. See the Evidence tag description for examples.

p
integer
default:1

Page number

s
enum<string>
default:_relevance

Sort field. Options: _relevance (default), forwardCitationCount, familySize, patents.publications.pubRef.date, patents.appRef.filingDate

Available options:
_relevance,
forwardCitationCount,
familySize,
patents.publications.pubRef.date,
patents.appRef.filingDate
sortDir
enum<string>
default:desc

Sort direction. Ignored when s is _relevance.

Available options:
asc,
desc

Response

Successful Response

totalResults
integer | null
delay
number | null
resultsPerPage
integer | null
from
integer | null
results
PatentFamily · object[]